const { ccclass, property } = cc._decorator;

@ccclass
export default class Helloworld extends cc.Component {

    @property(cc.JsonAsset)
    asset: cc.JsonAsset = null;

    @property(cc.Node)
    content: cc.Node = null;

    titleList: string[] = [];
    titleIndex: number = 1;

    start() {
        // init logic
        this.titleList = this.asset.json["Symptoms data"][0];
    }

    onClick() {
        if (null == this.titleList[this.titleIndex]) {
            return;
        }

        var node = new cc.Node();
        var lab = node.addComponent(cc.Label);
        lab.string = this.titleList[this.titleIndex];
        lab.node.color = cc.color(0, 0, 0);
        lab.horizontalAlign = cc.Label.HorizontalAlign.RIGHT;

        this.titleIndex++;
        node.parent = this.content;
    }


}
